import { IGatsbyImageData, Layout } from 'gatsby-plugin-image';
import { ImageItem } from '.';
export interface ImageOptions {
    fit?: 'crop' | 'clip' | 'scale';
    quality?: number;
    lossless?: boolean;
}
export interface GetGatsbyImageDataProps {
    image: ImageItem;
    width?: number;
    height?: number;
    layout?: Layout;
    backgroundColor?: string;
    sizes?: string;
    aspectRatio?: number;
    options?: ImageOptions;
}
export declare function getGatsbyImageData({ image, backgroundColor, options, layout, ...props }: GetGatsbyImageDataProps): IGatsbyImageData;
