import React from 'react';
import { GatsbyImageProps } from 'gatsby-plugin-image';
import { getGatsbyImageData, GetGatsbyImageDataProps } from './get-gatsby-image-data';
export interface ImageItem {
    image_id?: string;
    url: string;
    description?: string | null;
    name?: string;
    height: number;
    width: number;
    type?: string;
}
export interface ImageElementProps extends GetGatsbyImageDataProps, Omit<GatsbyImageProps, 'image' | 'alt'> {
    alt?: string;
}
export declare const ImageElement: React.FC<ImageElementProps>;
export { getGatsbyImageData };
