/// <reference types="react" />
import { Element } from 'html-react-parser';
import { ImageItem } from '../image-element';
interface Props {
    value: string;
    linkedItems?: any[];
    resolveLinkedItem?: Function;
    images?: ImageItem[];
    resolveImage?: ((image?: ImageItem) => JSX.Element) | undefined;
    links?: any[];
    resolveLink?: Function;
    resolveDomNode?: Function;
}
declare const RichTextElement: ({ value, linkedItems, resolveLinkedItem, images, resolveImage, links, resolveLink, resolveDomNode, }: Props) => JSX.Element;
export { RichTextElement };
